fabric-sdk-java 1.4安装说明

Hyperledger Fabric Java SDK是开发基于Hyperledger Fabric区块链的Java应用之必备开发包。本文将介绍如何在Maven、Gradle和Eclipse中安装使用最新1.4版本的Hyperledger Fabric Java SDK。

如果希望快速掌握Fabric区块链的链码及应用开发,建议访问汇智网的在线互动课程:

1、在Maven下使用Fabric Java SDK

在maven配置文件pom.xml中添加对fabric-sdk-java的依赖即可:

 <!-- https://mvnrepository.com/artifact/org.hyperledger.fabric-sdk-java/fabric-sdk-java -->
 <dependency>
     <groupId>org.hyperledger.fabric-sdk-java</groupId>
     <artifactId>fabric-sdk-java</artifactId>
     <version>1.4.1</version>
 </dependency>

2、在Gradle下使用Fabric Java SDK

在gradle配置文件build.gradle中添加对fabric-sdk-java的依赖即可:

dependencies {
	compile group: 'org.hyperledger.fabric-sdk-java', name: 'fabric-sdk-java', version: '1.4.1'
}

3、在Eclipse中使用Fabric Java SDK

在Eclipse中使用Fabric Java SDK的最简单的方法是创建Maven项目或Gradle项目,然后参照前面说明的方法在项目配置中添加对Farbic-sdk-java的依赖即可。

4、Fabric Java SDK安装测试代码

fabric-sdk-java的入口类为HFClient,因此我们可以使用下面的简单代码创建一个HFClient实例,然后设置其安全套件,如果可以正常编译执行,则表示Fabric Java SDK安装成功:

package com.hubwiz.demo;

import org.hyperledger.fabric.sdk.HFClient;
import org.hyperledger.fabric.sdk.security.CryptoSuite;

public class App{
  public static void main(String[] args) throws Exception{
       
    HFClient client = HFClient.createNewInstance();
    client.setCryptoSuite(CryptoSuite.Factory.getCryptoSuite());
    
    System.out.println("fabric-sdk-java installed successfully.");
  }
}

原文链接:Farbic Java SDK 1.4安装方法 — 汇智网

(adsbygoogle = window.adsbygoogle || []).push({});

本文参与腾讯云自媒体分享计划,欢迎正在阅读的你也加入,一起分享。

发表于

我来说两句

0 条评论
登录 后参与评论

扫码关注云+社区

领取腾讯云代金券